//
//  NSMutableDictionary+addObj.m
//  singleProduct
//
//  Created by coderYK on 2018/6/23.
//  Copyright © 2018年 RDIOT. All rights reserved.
//

#import "NSMutableDictionary+addObj.h"

typedef NSMutableDictionary *(^addBlock)(id key, id obj);

@implementation NSMutableDictionary (addObj)

- (NSMutableDictionary *(^)(id key, id obj))rds_addObj {
    
    NSMutableDictionary * (^addBlock)(id key, id obj) = ^ (id key, id obj) {
        if (obj != nil && key != nil) {
            [self setObject:obj forKey:key];
        }
        return self;
    };
    return addBlock;
}

@end
